Skip to main content

Start verifying bulk email list

PATCH https://api.bouncify.io/v1/bulk/{job_id}

Where each parameter goes

job_id is a path parameter — it is part of the URL, not the query string. apikey is a query parameter. Sending job_id as ?job_id= does not work: the API only reads the job id from the URL path, and responds 400 Invalid request. Required Id.

Request Parameters​

ParameterLocationTypeRequiredDescription
job_idPathstringRequiredThe jobId corresponding to the list you need to start verification. It goes in the URL path: /v1/bulk/{job_id}
apikeyQuerystringRequiredYour 32-character API key, passed as ?apikey=
RAW_BODYBodyjsonRequiredThe required action to start the verification. Defaults to { "action" : "start" }. Any other action value is rejected

Successful Response​

JSON

HTTP/1.1 200 OK
{
"job_id": "r374aki32rnatv868nntpxloc7dkilszc3eu",
"success": true,
"message": "Job verification will be attempted shortly. Call /status endpoint to know the status of the Job"
}

Response parameters​

ParameterTypeDefinition
job_idstringThe job_id corresponding to the list you need to start verification
success[true, false]Whether the API request call was successful or not.
messagestringDescribes the start result
caution

The verification once started cannot be paused, stopped, cancelled or restart the same list.

Other Responses​

The response you get when the API key is invalid:

HTTP/1.1 401 Unauthorized
{
"result":"Invalid API Key",
"success": false
}

The response you get when you provide invalid job_id:

HTTP/1.1 400 BadRequest
{
"result": "Job not found. Invalid jobId",
"success": false
}

The response you get when job_id is missing from the URL path — for example when it is sent as a query parameter instead:

HTTP/1.1 400 BadRequest
{
"result": "Invalid request. Required Id.",
"success": false
}

The response you get when you account is under review or restricted:

HTTP/1.1 400 BadRequest
{
"result": "Verify restricted",
"success": false
}

The response you get when the verification already started:

HTTP/1.1 400 BadRequest
{
"result": "Verification has already started.",
"success": false
}

The response you get when you have insufficient credit to begin verification:

HTTP/1.1 402 Payment Required
{
"result": "Insufficient verification credits. Please order a plan.",
"success": false
}

The response you get when the job not found:

HTTP/1.1 400 BadRequest
{
"result": "Job not found.",
"success": false
}

The response you get when then job is preparing for verification:

HTTP/1.1 400 BadRequest
{
"result": "Job is not ready for verification, please call the /status endpoint and start verification once the status of the job turns to ready.",
"success": false
}

Example​

Python / Go / PHP / Ruby / Shell

curl --request PATCH \
--url 'https://api.bouncify.io/v1/bulk/{job_id}?apikey=YOUR_API_KEY' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{"action":"start"}'